if ($.fn.pagination) {
    $.fn.pagination.defaults.beforePageText = '第';
    $.fn.pagination.defaults.afterPageText = '共{pages}页';
    $.fn.pagination.defaults.displayMsg = '显示{from}到{to},共{total}条记录';
}
if ($.fn.grid) {
    $.fn.grid.defaults.loadMsg = '正在处理，请稍等。。。';
}
if ($.fn.gridtree && $.fn.grid) {
    $.fn.gridtree.defaults.loadMsg = $.fn.grid.defaults.loadMsg;
}
if ($.messager) {
    $.messager.defaults.ok = '确定';
    $.messager.defaults.cancel = '取消';
}
if ($.fn.inputbox) {
    $.fn.inputbox.defaults.missingMessage = '该输入项为必录项';
    $.fn.inputbox.defaults.rules.email.message = '请输入有效的电子邮件地址';
    $.fn.inputbox.defaults.rules.url.message = '请输入有效的URL地址';
    $.fn.inputbox.defaults.rules.length.message = '输入内容长度必须介于{0}和{1}之间';
    $.fn.inputbox.defaults.rules.remote.message = '请修正该字段';
}
if ($.fn.inputiconbox) {
    $.fn.inputiconbox.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.filebox) {
    $.fn.filebox.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.timespinner) {
    $.fn.timespinner.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.numberbox) {
    $.fn.numberbox.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.numberspinner) {
    $.fn.numberspinner.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.combobox) {
    $.fn.combobox.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.combotree) {
    $.fn.combotree.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.combogrid) {
    $.fn.combogrid.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.calendar) {
    $.fn.calendar.defaults.weeks = [ '日', '一', '二', '三', '四', '五', '六' ];
    $.fn.calendar.defaults.months = [ '一', '二', '三', '四', '五', '六', '七', '八', '九', '十', '十一', '十二' ];
}
if ($.fn.datebox) {
    $.fn.datebox.defaults.currentText = '今天';
    $.fn.datebox.defaults.closeText = '关闭';
    $.fn.datebox.defaults.okText = '确定';
    $.fn.datebox.defaults.missingMessage = '该输入项为必录项';
    $.fn.datebox.defaults.formatter = function(date) {
        var y = date.getFullYear();
        var m = date.getMonth() + 1;
        var d = date.getDate();
        return y + '-' + (m < 10 ? ('0' + m) : m) + '-' + (d < 10 ? ('0' + d) : d);
    };
    $.fn.datebox.defaults.parser = function(s) {
        if (!s)
            return new Date();
        var ss = s.split('-');
        var y = parseInt(ss[0], 10);
        var m = parseInt(ss[1], 10);
        var d = parseInt(ss[2], 10);
        if (!isNaN(y) && !isNaN(m) && !isNaN(d)) {
            return new Date(y, m - 1, d);
        } else {
            return new Date();
        }
    };
}
if ($.fn.datetimebox && $.fn.datebox) {
    $.extend($.fn.datetimebox.defaults, { currentText : $.fn.datebox.defaults.currentText,
        closeText : $.fn.datebox.defaults.closeText, okText : $.fn.datebox.defaults.okText,
        missingMessage : $.fn.datebox.defaults.missingMessage });
}

if ($.fn.extinputbox) {
    $.fn.extinputbox.defaults.missingMessage = '该输入项为必录项';
    $.fn.extinputbox.defaults.rules.email.message = '请输入有效的电子邮件地址';
    $.fn.extinputbox.defaults.rules.url.message = '请输入有效的URL地址';
    $.fn.extinputbox.defaults.rules.length.message = '输入内容长度必须介于{0}和{1}之间';
    $.fn.extinputbox.defaults.rules.remote.message = '请修正该字段';
}
if ($.fn.extvalidateimgbox) {
    $.fn.extvalidateimgbox.defaults.missingMessage = '该输入项为必录项';
    $.fn.extvalidateimgbox.defaults.rules.email.message = '请输入有效的电子邮件地址';
    $.fn.extvalidateimgbox.defaults.rules.url.message = '请输入有效的URL地址';
    $.fn.extvalidateimgbox.defaults.rules.length.message = '输入内容长度必须介于{0}和{1}之间';
    $.fn.extvalidateimgbox.defaults.rules.remote.message = '请修正该字段';
}
if ($.fn.extnumberbox) {
    $.fn.extnumberbox.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.extsearchbox) {
    $.fn.extsearchbox.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.extnumberspinner) {
    $.fn.extnumberspinner.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.exttimespinner) {
    $.fn.exttimespinner.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.extcombobox) {
    $.fn.extcombobox.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.extcombotree) {
    $.fn.extcombotree.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.extcombogrid) {
    $.fn.extcombogrid.defaults.missingMessage = '该输入项为必录项';
}
if ($.fn.extdatebox) {
    $.fn.extdatebox.defaults.currentText = '今天';
    $.fn.extdatebox.defaults.closeText = '关闭';
    $.fn.extdatebox.defaults.okText = '确定';
    $.fn.extdatebox.defaults.missingMessage = '该输入项为必录项';
    $.fn.extdatebox.defaults.formatter = function(date) {
        var y = date.getFullYear();
        var m = date.getMonth() + 1;
        var d = date.getDate();
        return y + '-' + (m < 10 ? ('0' + m) : m) + '-' + (d < 10 ? ('0' + d) : d);
    };
    $.fn.extdatebox.defaults.parser = function(s) {
        if (!s)
            return new Date();
        var ss = s.split('-');
        var y = parseInt(ss[0], 10);
        var m = parseInt(ss[1], 10);
        var d = parseInt(ss[2], 10);
        if (!isNaN(y) && !isNaN(m) && !isNaN(d)) {
            return new Date(y, m - 1, d);
        } else {
            return new Date();
        }
    };
}
if ($.fn.extdatetimebox && $.fn.extdatebox) {
    $.extend($.fn.extdatetimebox.defaults, { currentText : $.fn.extdatebox.defaults.currentText,
        closeText : $.fn.extdatebox.defaults.closeText, okText : $.fn.extdatebox.defaults.okText,
        missingMessage : $.fn.extdatebox.defaults.missingMessage });
}
var msgStore = { sysMsgTitle : "系统提示", operateSuccess : "操作成功!", loadMsg : "数据处理中,请稍候。。。", exceptionMsg : "系统异常" };